# Copyright (c) 2023-2024, Arm Limited. All rights reserved
#
# SPDX-License-Identifier: BSD-3-Clause
#
# Configuration file for the readthedocs deploy
# Available at https://trustedfirmware-a.readthedocs.io/en/latest/


# readthedocs config version
version: 2

build:
  os: ubuntu-22.04 # Ubuntu Jammy LTS
  tools:
    python: "3.10"
  apt_packages:
    - plantuml
    - librsvg2-bin
  jobs:
    post_create_environment:
      - pip install poetry=="1.3.2"
    post_install:
      - VIRTUAL_ENV=$READTHEDOCS_VIRTUALENV_PATH poetry install --with docs

sphinx:
  configuration: docs/conf.py

# Auxiliary formats to export to (in addition to the default HTML output).
formats:
  - pdf

